@echo off
REM ==========================================================================
REM Build an UltraLite database from CustDB
REM ==========================================================================
setlocal

set _SABIN=%SQLANY10%\win32
set _DSN=SQL Anywhere 10 CustDB
set _DBN=custdb
set _DBF=%_DBN%


@echo.
@echo ==== Creating the UltraLite database...

set UL_CONN_STRING=
set UL_CONN_STRING=%UL_CONN_STRING% dbf="%CD%\%_DBF%.udb"

set ULINIT_OPTIONS=
set ULINIT_OPTIONS=%ULINIT_OPTIONS% -a "uid=dba;pwd=sql;dsn=%_DSN%"
set ULINIT_OPTIONS=%ULINIT_OPTIONS% -c %UL_CONN_STRING%
set ULINIT_OPTIONS=%ULINIT_OPTIONS% -n custdb_tables
set ULINIT_OPTIONS=%ULINIT_OPTIONS% -q

"%_SABIN%\ulinit" %ULINIT_OPTIONS%

goto done

:RunTimeError
echo Error: A step in the sample script failed with an error.

:done
endlocal
