@echo off
setlocal
set path=

set _SABIN=%SQLANY10%\win32
set _DSN=SQL Anywhere 10 CustDB
set _DBN=custdb

set UL_CONN_STRING=
set UL_CONN_STRING=%UL_CONN_STRING%dbf=%CD%\%_DBN%.udb
REM set UL_CONN_STRING=%UL_CONN_STRING%;key=abcdefghijklmnopqrstuvwxyz
REM set UL_CONN_STRING=%UL_CONN_STRING%;fips=1

set ULSYNC_OPTIONS=-c "%UL_CONN_STRING%"
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -e Username=50
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -e "Version=custdb 10.0"
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -v

REM ----------------------------------------------------------------------------
REM In this sample, the certificate is help outside the UL database.
REM An alternative is to build the certificate into the UL database, 
REM in which case you do not need to use the trusted_certificates parameter
REM ----------------------------------------------------------------------------
IF "%1"=="" GOTO tcpip
IF "%1"=="tcpip" GOTO tcpip
IF "%1"=="http" GOTO http
IF "%1"=="tcpip_rsa" GOTO tcpip_rsa
IF "%1"=="tcpip_ecc" GOTO tcpip_ecc
IF "%1"=="tcpip_fips" GOTO tcpip_fips
IF "%1"=="https" GOTO tcpip_fips
:tcpip
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -k tcpip
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -x port=2439
goto done_stream
:http
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -k http
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -x port=80
goto done_stream
:tcpip_rsa
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -k tls
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -x port=2439;tls_type=rsa;trusted_certificates=rsa_public_cert.crt
goto done_stream
:tcpip_ecc
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -k tls
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -x port=2439;tls_type=ecc;trusted_certificates=ecc_public_cert.crt
goto done_stream
:tcpip_fips
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -k tls
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -x port=2439;fips=yes;tls_type=rsa;trusted_certificates=rsa_public_cert.crt
goto done_stream
:https
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -k https
set ULSYNC_OPTIONS=%ULSYNC_OPTIONS% -x port=443;tls_type=rsa;trusted_certificates=rsa_public_cert.crt
goto done_stream
:done_stream

@echo.
@echo ==== Synchronizing UltraLite database...

@echo "%_SABIN%\ulsync" %ULSYNC_OPTIONS%
"%_SABIN%\ulsync" %ULSYNC_OPTIONS%
if errorlevel 1 goto RunTimeError

goto done

:RunTimeError
echo ==== Error: A step in the sample script failed with an error.

:done
endlocal
