@echo off
setlocal
set _DSN=SQL Anywhere 10 CustDB

set ML_OPTIONS=
set ML_OPTIONS=%ML_OPTIONS% -c "dsn=%_DSN%"
set ML_OPTIONS=%ML_OPTIONS% -dl
set ML_OPTIONS=%ML_OPTIONS% -fr
set ML_OPTIONS=%ML_OPTIONS% -ot mlserver.mls 
set ML_OPTIONS=%ML_OPTIONS% -v+

IF "%1"=="" GOTO tcpip
IF "%1"=="tcpip" GOTO tcpip
IF "%1"=="http" GOTO http
IF "%1"=="tcpip_rsa" GOTO tcpip_rsa
IF "%1"=="tcpip_ecc" GOTO tcpip_ecc
IF "%1"=="tcpip_fips" GOTO tcpip_fips
IF "%1"=="https" GOTO tcpip_fips
:tcpip
set ML_OPTIONS=%ML_OPTIONS% -x tcpip(port=2439)
goto done_stream
:http
set ML_OPTIONS=%ML_OPTIONS% -x http(port=80)
goto done_stream
:tcpip_rsa
set ML_OPTIONS=%ML_OPTIONS% -x tls(tls_type=rsa;certificate=rsa_server_identity.crt;certificate_password=private_key_password)
goto done_stream
:tcpip_ecc
set ML_OPTIONS=%ML_OPTIONS% -x tls(tls_type=ecc;certificate=ecc_server_identity.crt;certificate_password=private_key_password)
goto done_stream
:tcpip_fips
set ML_OPTIONS=%ML_OPTIONS% -fips
set ML_OPTIONS=%ML_OPTIONS% -x tls(fips=yes;tls_type=rsa;certificate=rsa_server_identity.crt;certificate_password=private_key_password)
goto done_stream
:https
set ML_OPTIONS=%ML_OPTIONS% -x https(port=443;tls_type=rsa;certificate=rsa_server_identity.crt;certificate_password=private_key_password)
goto done_stream
:done_stream

set ML_OPTIONS=%ML_OPTIONS% -zu+

@echo start mlsrv10 %ML_OPTIONS%
start mlsrv10 %ML_OPTIONS%

:done
endlocal
